Bug 55952 - OpenLDAP migration problem
OpenLDAP migration problem
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
:
: 55930 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-09 06:32 EST by Ian Clough
Modified: 2014-08-31 19:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:30:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Clough 2001-11-09 06:32:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
After adding openldap-2.0.11-13 to an existing server. I have tried to 
migrate the infomration in the flat files over to the ldap server.
I have configured the ldap server and it runs happily.  Until I try to 
migrate the existing information over to the server.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install a basic server, without LDAP support.
2. Add ldap adn sendmail support after installation.
3. Edit configuration files and start ldap server.
4. Make sure the ldap server runs automatically in your init level.
5. Execute the ./migrate_all_online.sh script 
from /usr/share/openldap/migration as root.

	

Actual Results:  The LDIF file that is imported fails around 
the 'cn=config,dc=...,dc=....' import record.  It complains 
about 'Undefined attribute type...defaultServerList'.  Are some of the 
schema files missing?

This is a list of the ones installed in /etc/openldap/schema and below.

.:
total 324
-rw-r--r--    1 root     root         7451 Aug 21 21:23 corba.schema
-rw-r--r--    1 root     root         7451 Aug 21 21:23 
corba.schema.default
-rw-r--r--    1 root     root        19695 Aug 21 21:23 core.schema
-rw-r--r--    1 root     root        19695 Aug 21 21:23 
core.schema.default
-rw-r--r--    1 root     root        71995 Aug 21 21:23 cosine.schema
-rw-r--r--    1 root     root        71995 Aug 21 21:23 
cosine.schema.default
-rw-r--r--    1 root     root         5867 Aug 21 21:23 
inetorgperson.schema
-rw-r--r--    1 root     root         5867 Aug 21 21:23 
inetorgperson.schema.default
-rw-r--r--    1 root     root        13359 Aug 21 21:23 java.schema
-rw-r--r--    1 root     root        13359 Aug 21 21:23 
java.schema.default
-rw-r--r--    1 root     root         3960 Aug 21 21:23 krb5-kdc.schema
-rw-r--r--    1 root     root         3960 Aug 21 21:23 krb5-
kdc.schema.default
-rw-r--r--    1 root     root         1567 Aug 21 21:23 misc.schema
-rw-r--r--    1 root     root         1567 Aug 21 21:23 
misc.schema.default
-rw-r--r--    1 root     root            0 Nov  9 11:20 ~mylist.text
-rw-r--r--    1 root     root         5617 Aug 21 21:23 nadf.schema
-rw-r--r--    1 root     root         5617 Aug 21 21:23 
nadf.schema.default
-rw-r--r--    1 root     root         8344 Aug 21 21:23 nis.schema
-rw-r--r--    1 root     root         8344 Aug 21 21:23 nis.schema.default
-rw-r--r--    1 root     root          933 Aug 21 21:23 openldap.schema
-rw-r--r--    1 root     root          933 Aug 21 21:23 
openldap.schema.default
drwxr-xr-x    2 root     root         4096 Nov  5 12:05 redhat

./redhat:
total 12
-rw-r--r--    1 root     root          748 Aug 21 21:23 autofs.schema
-rw-r--r--    1 root     root          408 Aug 21 21:23 
kerberosobject.schema
-rw-r--r--    1 root     root          385 Aug 21 21:23rfc822-
MailMember.schema


Expected Results:  Information should be imported into the LDAP server.

Additional info:

We are trying to setup a sendmail server system and an ldap server that 
contains the mailling information for use by another machine over the 
network.  This other machine can then use the sendmail SMTP gateway to 
import and export mail.  The ldap server will be used to extract a list 
of email users on the Linux box (Address list), and eventually a list of 
external users could be imported into some form of Address book for the 
Linux users to use.
Comment 1 Wil Cooley 2002-07-11 16:04:52 EDT
Answer 'no' to the question:

Do you wish to generate a DUAConfigProfile [yes|no]?

when running migrate_all_online.pl.  There is no schema included that defines
objectclasses 'DUAConfigProfile' and 'posixNamingProfile'.
Comment 2 Chan Min Wai 2004-02-03 03:10:05 EST
dcmwai|triage->duplicate 55930
It is duplicate as because it is both related to DUAConfigProfile.

And it is still happen today in Fedora Core.
Comment 3 Jef Spaleta 2004-02-11 19:43:50 EST
I'm going to mark 55930 as a duplicate of this bug...
But since this bug is so old and against an eol'd rhl release....
it might be best to refile this bug with against Fedora Core devel
if this bug is still there.
If there is a bug against fedora open about this already
reference that as a comment here and ill link this bug as a dup.
I don't want odd issue to get lost...if they are still valid issues.


Comment 4 Jef Spaleta 2004-02-11 19:44:32 EST
*** Bug 55930 has been marked as a duplicate of this bug. ***
Comment 5 Bill Nottingham 2006-08-07 13:25:36 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 6 Bill Nottingham 2006-10-18 10:30:00 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.